void Sqrt(TH1 *h)
{
    Double_t x, y, dy;
    
    for (int i=0; i<h->GetNbinsX()+1; i++)
    {
        y  = h->GetBinContent(i);
        dy = h->GetBinError(i);
	if (y > 0.) {
    	    y  = TMath::Sqrt(y);
    	    dy = 0.5*dy/y;
	} else {
	    y = dy = 0.;
	}
	// cerr << i << " " << y << " " << dy << endl;
    	h->SetBinContent(i,y);
	h->SetBinError(i,dy);
    }
}
